using System.Text.Json.Serialization;
using Yuna.Website.Server.Model;

namespace Yuna.Website.Server.Infrastructure
{
    public class CookieUserModel
    {
        public CookieUserModel(User user)
        {
            Id = user.Id;
            Username = user.UserName;
        }


        [JsonPropertyName("username")]
        public string Username { get; }
        
        [JsonPropertyName("id")]
        public long Id { get; }
    }
}
